Name:           python3.11-passlib-epel
Version:        1.7.4
Release:        13%{?dist}
Summary:        Comprehensive password hashing framework supporting over 20 schemes

# license breakdown is described in LICENSE file
License:        BSD-3-Clause AND Beerware AND UnixCrypt AND ISC
URL:            https://foss.heptapod.net/python-libs/passlib
Source:         %pypi_source passlib

BuildArch:      noarch

# docs generation requires python-cloud-sptheme, which isn't packaged yet.
# so we won't generate the docs yet.
#BuildRequires: python2-sphinx >= 1.0
#BuildRequires: python2-cloud-sptheme

%global _description %{expand:
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It is
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.}


%description %{_description}


%package -n python3.11-passlib
Summary:        %{summary}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3.11-devel
BuildRequires:  python3.11-setuptools
BuildRequires:  python3.11-wheel
# For tests
BuildRequires:  python3.11-pytest
BuildRequires:  python3.11-cryptography
BuildRequires:  /usr/bin/htpasswd


%description -n python3.11-passlib %{_description}

# No python3.11-argon2_cffi or -bcrypt for argon2 and bcrypt2 extras
%pyproject_extras_subpkg -n python3.11-passlib totp


%prep
%autosetup -n passlib-%{version}


%build
%pyproject_wheel


%install
# passlib setup.py append HG revision to the end of version by default
# which makes StrictVersion checks complaining
export PASSLIB_SETUP_TAG_RELEASE="no"
%pyproject_install
%pyproject_save_files passlib


%check
%pytest


%files -n python3.11-passlib -f %{pyproject_files}
%doc README
%license LICENSE


%changelog
* Fri Dec 01 2023 Orion Poplawski <orion@nwra.com> - 1.7.4-1
- Build for EPEL with Python 3.11
